﻿#version 330 core

// GBuffer
layout (location = 0) out vec3 gNormal;
layout (location = 1) out vec4 gAlbedoSpec;

in vec3 FragPos;
in vec3 Normal;

in vec3 texCoord;
in float brightness;

uniform sampler2DArray albedo;

void main()
{
    vec4 texColor = texture(albedo, texCoord);

    if(texColor.a < 0.5) discard;

    gNormal = normalize(Normal);
    gAlbedoSpec.rgb = texColor.rgb;
    gAlbedoSpec.a = 0;
    //gAlbedoSpec.a = texture(texture_specular1, TexCoords).r;
}