﻿#version 330 core

// GBuffer
layout (location = 0) out vec3 gNormal;
layout (location = 1) out vec4 gAlbedoSpec;

in vec3 FragPos;
in vec3 Normal;

in vec3 color;
in vec2 texCoord;

uniform sampler2D albedo;

void main()
{
    vec4 color = texture(albedo, texCoord);
    if(color.a < 0.5f) discard;

    gNormal = normalize(Normal);
    gAlbedoSpec.rgb = color.rgb;
}