﻿#version 330 core
in vec3 color;
in vec2 texCoord;

out vec4 FragColor;

uniform sampler2D albedo;
uniform sampler2D dither;

void main()
{
    vec4 fragColor = texture(albedo, texCoord);
    if(texture(dither, texCoord).r < 0.5 || fragColor.a < 0.5) discard;

    FragColor = vec4(texture(albedo, texCoord).rgb, 1.0);
}