﻿#version 330 core

in vec3 position;

out vec3 TexCoords;

uniform mat4 viewProjectionMatrix;

void main()
{
    TexCoords = position;
    vec4 pos = vec4(position, 1.0) * viewProjectionMatrix;
    gl_Position = pos.xyww;
}